Pfsense 2.2.2 and google chrome gives ERR_SSL_VERSION_OR_CIPHER_MISMATC



  • Hi,

    after upgrading to 2.2.2 on my SG2440, I get the following error when trying to open the admin interface with Google Chrome on OSX:

    This webpage is not available

    ERR_SSL_VERSION_OR_CIPHER_MISMATCH

    A secure connection cannot be established because this site uses an unsupported protocol.

    Not sure where to look to fix…any help appreciated. (I can login using Safari)

    Thanks,



  • try to delete the cache and history then make sure you accept the unknown certificate

    also what version of chrome do you  have? Recently chrome been having issues especially with Hikvision addon